Index: src/uk/me/parabola/mkgmap/combiners/OverviewBuilder.java
===================================================================
--- src/uk/me/parabola/mkgmap/combiners/OverviewBuilder.java	(revision 4806)
+++ src/uk/me/parabola/mkgmap/combiners/OverviewBuilder.java	(working copy)
@@ -139,9 +139,9 @@
  	/**
 	 * Adjust {@code maxRes} value.
 	 * @param detailTileBounds tile bounds (of ovm_ file)
-	 * @param tileName tile name
+	 * @param finfo the input file info
 	 */
-	private int checkFixRes(Area detailTileBounds, String tileName) {
+	private int checkFixRes(Area detailTileBounds, FileInfo finfo) {
 		int newMaxRes = maxRes;
 		int maxSize = 0xffff << (24 - newMaxRes);
 		int maxDimPoly = detailTileBounds.getMaxDimension();
@@ -153,11 +153,12 @@
 			}
 			final String msg = "Tile selection (0x4a) polygon for";
 			final String msg2;
-			if (tileName != null)
-				msg2 = "tile " + tileName;
+			if (finfo.getMapname() != null)
+				msg2 = "tile " + finfo.getMapname();
 			else
 				msg2 = detailTileBounds.toString();
-			log.error(msg, msg2, "cannot be written in level 0 resolution", oldMaxRes + ", using", newMaxRes, "instead");
+			if (isOverviewImg(finfo.getFilename()))
+				log.error(msg, msg2, "cannot be written in level 0 resolution", oldMaxRes + ", using", newMaxRes, "instead");
 		}
 		return newMaxRes;
 	}
@@ -401,7 +402,7 @@
 		List<Coord> points = bounds.toCoords();
 		points.forEach(overviewSource::addToBounds);
 		overviewSource.addToTileAreaPath(points);
-		maxRes = checkFixRes(bounds, finfo.getMapname());
+		maxRes = checkFixRes(bounds, finfo);
 		// Create the tile coverage rectangle
 		MapShape bg = new MapShape();
 		bg.setType(0x4a);
